import { registerComponent } from '../utils/plugins'
import elements from './component-registry'

export default {
  /**
   * Registers all templates from template registry
   * @param Vue object
   */
  RegististerTemplates(Vue) {
    elements.forEach(function(element) {
      registerComponent(Vue, element.name, element)
    })
  },
}
